{
  stdenv
, lib, fetchFromGitLab
, meson, ninja, pkg-config
, qtbase, wrapQtAppsHook
, dfl-ipc
}:

stdenv.mkDerivation {
  pname = "dfl-applications";
  version = "20221012";

  src = fetchFromGitLab {
    owner = "desktop-frameworks";
    repo = "Applications";
    rev = "08b6740379d596f40562b37b509705f5c8af0c42";
    sha256 = "1jiymrg6236572yk6rnbl183fisl4kqr5c2zji910n93zv7lqqiv";
  };

  buildInputs = [ qtbase meson ninja pkg-config dfl-ipc ];
  nativeBuildInputs = [ wrapQtAppsHook ]; 
}
